package org.average.nfcauthcr;

import android.os.Bundle;
import android.app.Activity;
import android.preference.PreferenceManager;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.util.Log;
import android.view.View;
import android.widget.RadioButton;

public class NFCAuthCREnroll extends Activity
{
	private final String TAG = getClass().getName();

	private static boolean waitingForResult = false;
	private static SharedPreferences prefs;
	private static int slot;

	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		Log.v(TAG, "Starting");
		prefs = PreferenceManager.getDefaultSharedPreferences(this);
	}

	@Override
	protected void onResume() {
		super.onResume();
		setContentView(R.layout.main);
		slot = prefs.getInt("slot_number", -1);
		Log.v(TAG, "found saved slot value " + slot);
		RadioButton btn = null;
		switch (slot) {
		case 1: btn = (RadioButton)findViewById(R.id.slot_1);
			break;
		case 2: btn = (RadioButton)findViewById(R.id.slot_2);
			break;
		}
		if (btn != null) btn.setChecked(true);
	}

	@Override
	protected void onPause() {
		super.onPause();
		Log.v(TAG, "Going inactive, try to stop");
		if (!waitingForResult) { finish(); }
	}

	@Override
	protected void onStop() {
		super.onStop();
		Log.v(TAG, "Stop requested");
	}

	public void onSlotSelectionClicked(View view) {
		Log.v(TAG, "Radio Button selected");
		if (! ((RadioButton) view).isChecked()) return;
		switch(view.getId()) {
		case R.id.slot_1: slot=1; break;
		case R.id.slot_2: slot=2; break;
		}
		Editor editor = prefs.edit();
		editor.putInt("slot_number", slot);
		editor.commit();
		Log.v(TAG, "stored slot number " + slot);
	}

	public void onEnrollClicked(View view) {
		Log.v(TAG, "Enroll clicked");
		if (!waitingForResult) { finish(); }
	}
}
